export interface PtAreaVO {
  /**
   * 区域Id,主键
   */
  areaId: string | number;

  /**
   * 父区域id
   */
  parentId: string | number;

  /**
   * 祖级列表
   */
  ancestors: string;

  /**
   * 区域名称
   */
  areaName: string;

  /**
   * 区域类型,见BUILDAREATYPE字典类型
   */
  areaType: string;

  /**
   * 区域编码
   */
  areaCode: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 子对象
   */
  children: PtAreaVO[];
}

export interface PtAreaForm extends BaseEntity {
  /**
   * 区域Id,主键
   */
  areaId?: string | number;

  /**
   * 父区域id
   */
  parentId?: string | number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 区域名称
   */
  areaName?: string;

  /**
   * 区域类型,见BUILDAREATYPE字典类型
   */
  areaType?: string;

  /**
   * 区域编码
   */
  areaCode?: string;

  /**
   * 备注
   */
  remark?: string;
}

export interface PtAreaQuery {
  /**
   * 区域名称
   */
  areaName?: string;

  /**
   * 区域类型,见BUILDAREATYPE字典类型
   */
  areaType?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}

export type PtAreaOption = {
  areaId: number | string;
  areaName: string;
  children?: PtAreaOption[];
};
